Set item lists
curl --request PUT \
--url https://swish.app/api/2026-07/items/{itemId}/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listIds": [
"67e2704d3c49af2fef03e054",
"67e2704d3c49af2fef03e054"
]
}
'import requests
url = "https://swish.app/api/2026-07/items/{itemId}/lists"
payload = { "listIds": ["67e2704d3c49af2fef03e054", "67e2704d3c49af2fef03e054"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listIds: ['67e2704d3c49af2fef03e054', '67e2704d3c49af2fef03e054']})
};
fetch('https://swish.app/api/2026-07/items/{itemId}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items/{itemId}/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'listIds' => [
'67e2704d3c49af2fef03e054',
'67e2704d3c49af2fef03e054'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items/{itemId}/lists"
payload := strings.NewReader("{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://swish.app/api/2026-07/items/{itemId}/lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items/{itemId}/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"listIds": [
"<string>"
],
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Items
Set item lists
Sets which lists an item belongs to, replacing any previous list assignments
PUT
/
items
/
{itemId}
/
lists
Set item lists
curl --request PUT \
--url https://swish.app/api/2026-07/items/{itemId}/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"listIds": [
"67e2704d3c49af2fef03e054",
"67e2704d3c49af2fef03e054"
]
}
'import requests
url = "https://swish.app/api/2026-07/items/{itemId}/lists"
payload = { "listIds": ["67e2704d3c49af2fef03e054", "67e2704d3c49af2fef03e054"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({listIds: ['67e2704d3c49af2fef03e054', '67e2704d3c49af2fef03e054']})
};
fetch('https://swish.app/api/2026-07/items/{itemId}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/items/{itemId}/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'listIds' => [
'67e2704d3c49af2fef03e054',
'67e2704d3c49af2fef03e054'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/items/{itemId}/lists"
payload := strings.NewReader("{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://swish.app/api/2026-07/items/{itemId}/lists")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/items/{itemId}/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"listIds\": [\n \"67e2704d3c49af2fef03e054\",\n \"67e2704d3c49af2fef03e054\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"productId": 123,
"variantId": 456,
"quantity": 1,
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"listIds": [
"<string>"
],
"metadata": {},
"product": {
"id": "gid://shopify/Product/123",
"productType": "Dresses",
"tags": [
"sale",
"summer"
],
"title": "Kai Dress In Tuberose",
"vendor": "W25A",
"updatedAt": "2026-01-22T11:03:14Z",
"handle": "kai-dress-in-tuberose",
"availableForSale": true,
"category": {
"id": "gid://shopify/Category/1",
"name": "Footwear"
},
"onlineStoreUrl": "https://example.com/products/kai-dress",
"featuredImage": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
},
"priceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"compareAtPriceRange": {
"maxVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"minVariantPrice": {
"amount": "90.00",
"currencyCode": "USD"
}
},
"variantsCount": 6
},
"variant": {
"availableForSale": true,
"selectedOptions": [
{
"name": "Size",
"value": "9"
}
],
"currentlyNotInStock": false,
"title": "Size 9",
"price": {
"amount": "90.00",
"currencyCode": "USD"
},
"compareAtPrice": {
"amount": "90.00",
"currencyCode": "USD"
},
"quantityAvailable": 5,
"sku": "SKU-123",
"image": {
"id": "gid://shopify/Image/1",
"url": "https://example.com/image.jpg",
"altText": "Product image",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI",
"width": 2000,
"height": 3000
}
}
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Path Parameters
The ID of the item
Example:
"67a61d5561e4f9de302c02a1"
Body
application/json
The ID of the item to set the lists for
Example:
[
"67e2704d3c49af2fef03e054",
"67e2704d3c49af2fef03e054"
]
Response
The item has been successfully been added to the lists.
Response data
Show child attributes
Show child attributes